petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscFVGetDualSpace

Returns the PetscDualSpace used to define the inner product

### Synopsis

    #include "petscfv.h"
    PetscErrorCode PetscFVGetDualSpace(PetscFV fvm, PetscDualSpace *sp)

Not collective

### Input Parameter

fvm -The PetscFV object

### Output Parameter

sp -The PetscDualSpace object

Note: A simple dual space is provided automatically, and the user typically will not need to override it.

### See Also

PetscFVCreate()

### Level

developer

### Location

src/dm/dt/interface/dtfv.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages